package com.chinaitop.depot.intelligent.ventilation.model;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TJobApplicationExample {
    /**
     * t_job_application
     */
    protected String orderByClause;

    /**
     * t_job_application
     */
    protected boolean distinct;

    /**
     * t_job_application
     */
    protected List<Criteria> oredCriteria;

    public TJobApplicationExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     * t_job_application 2019-03-12
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value) {
            addCriterion("id like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value) {
            addCriterion("id not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andVCfCodeIsNull() {
            addCriterion("v_cf_code is null");
            return (Criteria) this;
        }

        public Criteria andVCfCodeIsNotNull() {
            addCriterion("v_cf_code is not null");
            return (Criteria) this;
        }

        public Criteria andVCfCodeEqualTo(String value) {
            addCriterion("v_cf_code =", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeNotEqualTo(String value) {
            addCriterion("v_cf_code <>", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeGreaterThan(String value) {
            addCriterion("v_cf_code >", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeGreaterThanOrEqualTo(String value) {
            addCriterion("v_cf_code >=", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeLessThan(String value) {
            addCriterion("v_cf_code <", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeLessThanOrEqualTo(String value) {
            addCriterion("v_cf_code <=", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeLike(String value) {
            addCriterion("v_cf_code like", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeNotLike(String value) {
            addCriterion("v_cf_code not like", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeIn(List<String> values) {
            addCriterion("v_cf_code in", values, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeNotIn(List<String> values) {
            addCriterion("v_cf_code not in", values, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeBetween(String value1, String value2) {
            addCriterion("v_cf_code between", value1, value2, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeNotBetween(String value1, String value2) {
            addCriterion("v_cf_code not between", value1, value2, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andAidIsNull() {
            addCriterion("aid is null");
            return (Criteria) this;
        }

        public Criteria andAidIsNotNull() {
            addCriterion("aid is not null");
            return (Criteria) this;
        }

        public Criteria andAidEqualTo(String value) {
            addCriterion("aid =", value, "aid");
            return (Criteria) this;
        }

        public Criteria andAidNotEqualTo(String value) {
            addCriterion("aid <>", value, "aid");
            return (Criteria) this;
        }

        public Criteria andAidGreaterThan(String value) {
            addCriterion("aid >", value, "aid");
            return (Criteria) this;
        }

        public Criteria andAidGreaterThanOrEqualTo(String value) {
            addCriterion("aid >=", value, "aid");
            return (Criteria) this;
        }

        public Criteria andAidLessThan(String value) {
            addCriterion("aid <", value, "aid");
            return (Criteria) this;
        }

        public Criteria andAidLessThanOrEqualTo(String value) {
            addCriterion("aid <=", value, "aid");
            return (Criteria) this;
        }

        public Criteria andAidLike(String value) {
            addCriterion("aid like", value, "aid");
            return (Criteria) this;
        }

        public Criteria andAidNotLike(String value) {
            addCriterion("aid not like", value, "aid");
            return (Criteria) this;
        }

        public Criteria andAidIn(List<String> values) {
            addCriterion("aid in", values, "aid");
            return (Criteria) this;
        }

        public Criteria andAidNotIn(List<String> values) {
            addCriterion("aid not in", values, "aid");
            return (Criteria) this;
        }

        public Criteria andAidBetween(String value1, String value2) {
            addCriterion("aid between", value1, value2, "aid");
            return (Criteria) this;
        }

        public Criteria andAidNotBetween(String value1, String value2) {
            addCriterion("aid not between", value1, value2, "aid");
            return (Criteria) this;
        }

        public Criteria andApplyPersonIsNull() {
            addCriterion("apply_person is null");
            return (Criteria) this;
        }

        public Criteria andApplyPersonIsNotNull() {
            addCriterion("apply_person is not null");
            return (Criteria) this;
        }

        public Criteria andApplyPersonEqualTo(String value) {
            addCriterion("apply_person =", value, "applyPerson");
            return (Criteria) this;
        }

        public Criteria andApplyPersonNotEqualTo(String value) {
            addCriterion("apply_person <>", value, "applyPerson");
            return (Criteria) this;
        }

        public Criteria andApplyPersonGreaterThan(String value) {
            addCriterion("apply_person >", value, "applyPerson");
            return (Criteria) this;
        }

        public Criteria andApplyPersonGreaterThanOrEqualTo(String value) {
            addCriterion("apply_person >=", value, "applyPerson");
            return (Criteria) this;
        }

        public Criteria andApplyPersonLessThan(String value) {
            addCriterion("apply_person <", value, "applyPerson");
            return (Criteria) this;
        }

        public Criteria andApplyPersonLessThanOrEqualTo(String value) {
            addCriterion("apply_person <=", value, "applyPerson");
            return (Criteria) this;
        }

        public Criteria andApplyPersonLike(String value) {
            addCriterion("apply_person like", value, "applyPerson");
            return (Criteria) this;
        }

        public Criteria andApplyPersonNotLike(String value) {
            addCriterion("apply_person not like", value, "applyPerson");
            return (Criteria) this;
        }

        public Criteria andApplyPersonIn(List<String> values) {
            addCriterion("apply_person in", values, "applyPerson");
            return (Criteria) this;
        }

        public Criteria andApplyPersonNotIn(List<String> values) {
            addCriterion("apply_person not in", values, "applyPerson");
            return (Criteria) this;
        }

        public Criteria andApplyPersonBetween(String value1, String value2) {
            addCriterion("apply_person between", value1, value2, "applyPerson");
            return (Criteria) this;
        }

        public Criteria andApplyPersonNotBetween(String value1, String value2) {
            addCriterion("apply_person not between", value1, value2, "applyPerson");
            return (Criteria) this;
        }

        public Criteria andApplyTimeIsNull() {
            addCriterion("apply_time is null");
            return (Criteria) this;
        }

        public Criteria andApplyTimeIsNotNull() {
            addCriterion("apply_time is not null");
            return (Criteria) this;
        }

        public Criteria andApplyTimeEqualTo(Date value) {
            addCriterion("apply_time =", value, "applyTime");
            return (Criteria) this;
        }

        public Criteria andApplyTimeNotEqualTo(Date value) {
            addCriterion("apply_time <>", value, "applyTime");
            return (Criteria) this;
        }

        public Criteria andApplyTimeGreaterThan(Date value) {
            addCriterion("apply_time >", value, "applyTime");
            return (Criteria) this;
        }

        public Criteria andApplyTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("apply_time >=", value, "applyTime");
            return (Criteria) this;
        }

        public Criteria andApplyTimeLessThan(Date value) {
            addCriterion("apply_time <", value, "applyTime");
            return (Criteria) this;
        }

        public Criteria andApplyTimeLessThanOrEqualTo(Date value) {
            addCriterion("apply_time <=", value, "applyTime");
            return (Criteria) this;
        }

        public Criteria andApplyTimeIn(List<Date> values) {
            addCriterion("apply_time in", values, "applyTime");
            return (Criteria) this;
        }

        public Criteria andApplyTimeNotIn(List<Date> values) {
            addCriterion("apply_time not in", values, "applyTime");
            return (Criteria) this;
        }

        public Criteria andApplyTimeBetween(Date value1, Date value2) {
            addCriterion("apply_time between", value1, value2, "applyTime");
            return (Criteria) this;
        }

        public Criteria andApplyTimeNotBetween(Date value1, Date value2) {
            addCriterion("apply_time not between", value1, value2, "applyTime");
            return (Criteria) this;
        }

        public Criteria andTestTimeIsNull() {
            addCriterion("test_time is null");
            return (Criteria) this;
        }

        public Criteria andTestTimeIsNotNull() {
            addCriterion("test_time is not null");
            return (Criteria) this;
        }

        public Criteria andTestTimeEqualTo(Date value) {
            addCriterion("test_time =", value, "testTime");
            return (Criteria) this;
        }

        public Criteria andTestTimeNotEqualTo(Date value) {
            addCriterion("test_time <>", value, "testTime");
            return (Criteria) this;
        }

        public Criteria andTestTimeGreaterThan(Date value) {
            addCriterion("test_time >", value, "testTime");
            return (Criteria) this;
        }

        public Criteria andTestTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("test_time >=", value, "testTime");
            return (Criteria) this;
        }

        public Criteria andTestTimeLessThan(Date value) {
            addCriterion("test_time <", value, "testTime");
            return (Criteria) this;
        }

        public Criteria andTestTimeLessThanOrEqualTo(Date value) {
            addCriterion("test_time <=", value, "testTime");
            return (Criteria) this;
        }

        public Criteria andTestTimeIn(List<Date> values) {
            addCriterion("test_time in", values, "testTime");
            return (Criteria) this;
        }

        public Criteria andTestTimeNotIn(List<Date> values) {
            addCriterion("test_time not in", values, "testTime");
            return (Criteria) this;
        }

        public Criteria andTestTimeBetween(Date value1, Date value2) {
            addCriterion("test_time between", value1, value2, "testTime");
            return (Criteria) this;
        }

        public Criteria andTestTimeNotBetween(Date value1, Date value2) {
            addCriterion("test_time not between", value1, value2, "testTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeIsNull() {
            addCriterion("end_time is null");
            return (Criteria) this;
        }

        public Criteria andEndTimeIsNotNull() {
            addCriterion("end_time is not null");
            return (Criteria) this;
        }

        public Criteria andEndTimeEqualTo(Date value) {
            addCriterion("end_time =", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeNotEqualTo(Date value) {
            addCriterion("end_time <>", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeGreaterThan(Date value) {
            addCriterion("end_time >", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("end_time >=", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeLessThan(Date value) {
            addCriterion("end_time <", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeLessThanOrEqualTo(Date value) {
            addCriterion("end_time <=", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeIn(List<Date> values) {
            addCriterion("end_time in", values, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeNotIn(List<Date> values) {
            addCriterion("end_time not in", values, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeBetween(Date value1, Date value2) {
            addCriterion("end_time between", value1, value2, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeNotBetween(Date value1, Date value2) {
            addCriterion("end_time not between", value1, value2, "endTime");
            return (Criteria) this;
        }

        public Criteria andVentilationModeIsNull() {
            addCriterion("ventilation_mode is null");
            return (Criteria) this;
        }

        public Criteria andVentilationModeIsNotNull() {
            addCriterion("ventilation_mode is not null");
            return (Criteria) this;
        }

        public Criteria andVentilationModeEqualTo(String value) {
            addCriterion("ventilation_mode =", value, "ventilationMode");
            return (Criteria) this;
        }

        public Criteria andVentilationModeNotEqualTo(String value) {
            addCriterion("ventilation_mode <>", value, "ventilationMode");
            return (Criteria) this;
        }

        public Criteria andVentilationModeGreaterThan(String value) {
            addCriterion("ventilation_mode >", value, "ventilationMode");
            return (Criteria) this;
        }

        public Criteria andVentilationModeGreaterThanOrEqualTo(String value) {
            addCriterion("ventilation_mode >=", value, "ventilationMode");
            return (Criteria) this;
        }

        public Criteria andVentilationModeLessThan(String value) {
            addCriterion("ventilation_mode <", value, "ventilationMode");
            return (Criteria) this;
        }

        public Criteria andVentilationModeLessThanOrEqualTo(String value) {
            addCriterion("ventilation_mode <=", value, "ventilationMode");
            return (Criteria) this;
        }

        public Criteria andVentilationModeLike(String value) {
            addCriterion("ventilation_mode like", value, "ventilationMode");
            return (Criteria) this;
        }

        public Criteria andVentilationModeNotLike(String value) {
            addCriterion("ventilation_mode not like", value, "ventilationMode");
            return (Criteria) this;
        }

        public Criteria andVentilationModeIn(List<String> values) {
            addCriterion("ventilation_mode in", values, "ventilationMode");
            return (Criteria) this;
        }

        public Criteria andVentilationModeNotIn(List<String> values) {
            addCriterion("ventilation_mode not in", values, "ventilationMode");
            return (Criteria) this;
        }

        public Criteria andVentilationModeBetween(String value1, String value2) {
            addCriterion("ventilation_mode between", value1, value2, "ventilationMode");
            return (Criteria) this;
        }

        public Criteria andVentilationModeNotBetween(String value1, String value2) {
            addCriterion("ventilation_mode not between", value1, value2, "ventilationMode");
            return (Criteria) this;
        }

        public Criteria andAerationTargetIsNull() {
            addCriterion("aeration_target is null");
            return (Criteria) this;
        }

        public Criteria andAerationTargetIsNotNull() {
            addCriterion("aeration_target is not null");
            return (Criteria) this;
        }

        public Criteria andAerationTargetEqualTo(String value) {
            addCriterion("aeration_target =", value, "aerationTarget");
            return (Criteria) this;
        }

        public Criteria andAerationTargetNotEqualTo(String value) {
            addCriterion("aeration_target <>", value, "aerationTarget");
            return (Criteria) this;
        }

        public Criteria andAerationTargetGreaterThan(String value) {
            addCriterion("aeration_target >", value, "aerationTarget");
            return (Criteria) this;
        }

        public Criteria andAerationTargetGreaterThanOrEqualTo(String value) {
            addCriterion("aeration_target >=", value, "aerationTarget");
            return (Criteria) this;
        }

        public Criteria andAerationTargetLessThan(String value) {
            addCriterion("aeration_target <", value, "aerationTarget");
            return (Criteria) this;
        }

        public Criteria andAerationTargetLessThanOrEqualTo(String value) {
            addCriterion("aeration_target <=", value, "aerationTarget");
            return (Criteria) this;
        }

        public Criteria andAerationTargetLike(String value) {
            addCriterion("aeration_target like", value, "aerationTarget");
            return (Criteria) this;
        }

        public Criteria andAerationTargetNotLike(String value) {
            addCriterion("aeration_target not like", value, "aerationTarget");
            return (Criteria) this;
        }

        public Criteria andAerationTargetIn(List<String> values) {
            addCriterion("aeration_target in", values, "aerationTarget");
            return (Criteria) this;
        }

        public Criteria andAerationTargetNotIn(List<String> values) {
            addCriterion("aeration_target not in", values, "aerationTarget");
            return (Criteria) this;
        }

        public Criteria andAerationTargetBetween(String value1, String value2) {
            addCriterion("aeration_target between", value1, value2, "aerationTarget");
            return (Criteria) this;
        }

        public Criteria andAerationTargetNotBetween(String value1, String value2) {
            addCriterion("aeration_target not between", value1, value2, "aerationTarget");
            return (Criteria) this;
        }

        public Criteria andStateIsNull() {
            addCriterion("state is null");
            return (Criteria) this;
        }

        public Criteria andStateIsNotNull() {
            addCriterion("state is not null");
            return (Criteria) this;
        }

        public Criteria andStateEqualTo(Integer value) {
            addCriterion("state =", value, "state");
            return (Criteria) this;
        }

        public Criteria andStateNotEqualTo(Integer value) {
            addCriterion("state <>", value, "state");
            return (Criteria) this;
        }

        public Criteria andStateGreaterThan(Integer value) {
            addCriterion("state >", value, "state");
            return (Criteria) this;
        }

        public Criteria andStateGreaterThanOrEqualTo(Integer value) {
            addCriterion("state >=", value, "state");
            return (Criteria) this;
        }

        public Criteria andStateLessThan(Integer value) {
            addCriterion("state <", value, "state");
            return (Criteria) this;
        }

        public Criteria andStateLessThanOrEqualTo(Integer value) {
            addCriterion("state <=", value, "state");
            return (Criteria) this;
        }

        public Criteria andStateIn(List<Integer> values) {
            addCriterion("state in", values, "state");
            return (Criteria) this;
        }

        public Criteria andStateNotIn(List<Integer> values) {
            addCriterion("state not in", values, "state");
            return (Criteria) this;
        }

        public Criteria andStateBetween(Integer value1, Integer value2) {
            addCriterion("state between", value1, value2, "state");
            return (Criteria) this;
        }

        public Criteria andStateNotBetween(Integer value1, Integer value2) {
            addCriterion("state not between", value1, value2, "state");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNull() {
            addCriterion("remark is null");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNotNull() {
            addCriterion("remark is not null");
            return (Criteria) this;
        }

        public Criteria andRemarkEqualTo(String value) {
            addCriterion("remark =", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotEqualTo(String value) {
            addCriterion("remark <>", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThan(String value) {
            addCriterion("remark >", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("remark >=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThan(String value) {
            addCriterion("remark <", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThanOrEqualTo(String value) {
            addCriterion("remark <=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLike(String value) {
            addCriterion("remark like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotLike(String value) {
            addCriterion("remark not like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkIn(List<String> values) {
            addCriterion("remark in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotIn(List<String> values) {
            addCriterion("remark not in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkBetween(String value1, String value2) {
            addCriterion("remark between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotBetween(String value1, String value2) {
            addCriterion("remark not between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andPackingmodeIsNull() {
            addCriterion("packingmode is null");
            return (Criteria) this;
        }

        public Criteria andPackingmodeIsNotNull() {
            addCriterion("packingmode is not null");
            return (Criteria) this;
        }

        public Criteria andPackingmodeEqualTo(Integer value) {
            addCriterion("packingmode =", value, "packingmode");
            return (Criteria) this;
        }

        public Criteria andPackingmodeNotEqualTo(Integer value) {
            addCriterion("packingmode <>", value, "packingmode");
            return (Criteria) this;
        }

        public Criteria andPackingmodeGreaterThan(Integer value) {
            addCriterion("packingmode >", value, "packingmode");
            return (Criteria) this;
        }

        public Criteria andPackingmodeGreaterThanOrEqualTo(Integer value) {
            addCriterion("packingmode >=", value, "packingmode");
            return (Criteria) this;
        }

        public Criteria andPackingmodeLessThan(Integer value) {
            addCriterion("packingmode <", value, "packingmode");
            return (Criteria) this;
        }

        public Criteria andPackingmodeLessThanOrEqualTo(Integer value) {
            addCriterion("packingmode <=", value, "packingmode");
            return (Criteria) this;
        }

        public Criteria andPackingmodeIn(List<Integer> values) {
            addCriterion("packingmode in", values, "packingmode");
            return (Criteria) this;
        }

        public Criteria andPackingmodeNotIn(List<Integer> values) {
            addCriterion("packingmode not in", values, "packingmode");
            return (Criteria) this;
        }

        public Criteria andPackingmodeBetween(Integer value1, Integer value2) {
            addCriterion("packingmode between", value1, value2, "packingmode");
            return (Criteria) this;
        }

        public Criteria andPackingmodeNotBetween(Integer value1, Integer value2) {
            addCriterion("packingmode not between", value1, value2, "packingmode");
            return (Criteria) this;
        }

        public Criteria andMaxAterIsNull() {
            addCriterion("max_ater is null");
            return (Criteria) this;
        }

        public Criteria andMaxAterIsNotNull() {
            addCriterion("max_ater is not null");
            return (Criteria) this;
        }

        public Criteria andMaxAterEqualTo(BigDecimal value) {
            addCriterion("max_ater =", value, "maxAter");
            return (Criteria) this;
        }

        public Criteria andMaxAterNotEqualTo(BigDecimal value) {
            addCriterion("max_ater <>", value, "maxAter");
            return (Criteria) this;
        }

        public Criteria andMaxAterGreaterThan(BigDecimal value) {
            addCriterion("max_ater >", value, "maxAter");
            return (Criteria) this;
        }

        public Criteria andMaxAterGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("max_ater >=", value, "maxAter");
            return (Criteria) this;
        }

        public Criteria andMaxAterLessThan(BigDecimal value) {
            addCriterion("max_ater <", value, "maxAter");
            return (Criteria) this;
        }

        public Criteria andMaxAterLessThanOrEqualTo(BigDecimal value) {
            addCriterion("max_ater <=", value, "maxAter");
            return (Criteria) this;
        }

        public Criteria andMaxAterIn(List<BigDecimal> values) {
            addCriterion("max_ater in", values, "maxAter");
            return (Criteria) this;
        }

        public Criteria andMaxAterNotIn(List<BigDecimal> values) {
            addCriterion("max_ater not in", values, "maxAter");
            return (Criteria) this;
        }

        public Criteria andMaxAterBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("max_ater between", value1, value2, "maxAter");
            return (Criteria) this;
        }

        public Criteria andMaxAterNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("max_ater not between", value1, value2, "maxAter");
            return (Criteria) this;
        }

        public Criteria andMinWaterIsNull() {
            addCriterion("min_water is null");
            return (Criteria) this;
        }

        public Criteria andMinWaterIsNotNull() {
            addCriterion("min_water is not null");
            return (Criteria) this;
        }

        public Criteria andMinWaterEqualTo(BigDecimal value) {
            addCriterion("min_water =", value, "minWater");
            return (Criteria) this;
        }

        public Criteria andMinWaterNotEqualTo(BigDecimal value) {
            addCriterion("min_water <>", value, "minWater");
            return (Criteria) this;
        }

        public Criteria andMinWaterGreaterThan(BigDecimal value) {
            addCriterion("min_water >", value, "minWater");
            return (Criteria) this;
        }

        public Criteria andMinWaterGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("min_water >=", value, "minWater");
            return (Criteria) this;
        }

        public Criteria andMinWaterLessThan(BigDecimal value) {
            addCriterion("min_water <", value, "minWater");
            return (Criteria) this;
        }

        public Criteria andMinWaterLessThanOrEqualTo(BigDecimal value) {
            addCriterion("min_water <=", value, "minWater");
            return (Criteria) this;
        }

        public Criteria andMinWaterIn(List<BigDecimal> values) {
            addCriterion("min_water in", values, "minWater");
            return (Criteria) this;
        }

        public Criteria andMinWaterNotIn(List<BigDecimal> values) {
            addCriterion("min_water not in", values, "minWater");
            return (Criteria) this;
        }

        public Criteria andMinWaterBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("min_water between", value1, value2, "minWater");
            return (Criteria) this;
        }

        public Criteria andMinWaterNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("min_water not between", value1, value2, "minWater");
            return (Criteria) this;
        }

        public Criteria andAvgWaterIsNull() {
            addCriterion("avg_water is null");
            return (Criteria) this;
        }

        public Criteria andAvgWaterIsNotNull() {
            addCriterion("avg_water is not null");
            return (Criteria) this;
        }

        public Criteria andAvgWaterEqualTo(BigDecimal value) {
            addCriterion("avg_water =", value, "avgWater");
            return (Criteria) this;
        }

        public Criteria andAvgWaterNotEqualTo(BigDecimal value) {
            addCriterion("avg_water <>", value, "avgWater");
            return (Criteria) this;
        }

        public Criteria andAvgWaterGreaterThan(BigDecimal value) {
            addCriterion("avg_water >", value, "avgWater");
            return (Criteria) this;
        }

        public Criteria andAvgWaterGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("avg_water >=", value, "avgWater");
            return (Criteria) this;
        }

        public Criteria andAvgWaterLessThan(BigDecimal value) {
            addCriterion("avg_water <", value, "avgWater");
            return (Criteria) this;
        }

        public Criteria andAvgWaterLessThanOrEqualTo(BigDecimal value) {
            addCriterion("avg_water <=", value, "avgWater");
            return (Criteria) this;
        }

        public Criteria andAvgWaterIn(List<BigDecimal> values) {
            addCriterion("avg_water in", values, "avgWater");
            return (Criteria) this;
        }

        public Criteria andAvgWaterNotIn(List<BigDecimal> values) {
            addCriterion("avg_water not in", values, "avgWater");
            return (Criteria) this;
        }

        public Criteria andAvgWaterBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("avg_water between", value1, value2, "avgWater");
            return (Criteria) this;
        }

        public Criteria andAvgWaterNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("avg_water not between", value1, value2, "avgWater");
            return (Criteria) this;
        }

        public Criteria andAreationPlanNumberIsNull() {
            addCriterion("areation_plan_number is null");
            return (Criteria) this;
        }

        public Criteria andAreationPlanNumberIsNotNull() {
            addCriterion("areation_plan_number is not null");
            return (Criteria) this;
        }

        public Criteria andAreationPlanNumberEqualTo(String value) {
            addCriterion("areation_plan_number =", value, "areationPlanNumber");
            return (Criteria) this;
        }

        public Criteria andAreationPlanNumberNotEqualTo(String value) {
            addCriterion("areation_plan_number <>", value, "areationPlanNumber");
            return (Criteria) this;
        }

        public Criteria andAreationPlanNumberGreaterThan(String value) {
            addCriterion("areation_plan_number >", value, "areationPlanNumber");
            return (Criteria) this;
        }

        public Criteria andAreationPlanNumberGreaterThanOrEqualTo(String value) {
            addCriterion("areation_plan_number >=", value, "areationPlanNumber");
            return (Criteria) this;
        }

        public Criteria andAreationPlanNumberLessThan(String value) {
            addCriterion("areation_plan_number <", value, "areationPlanNumber");
            return (Criteria) this;
        }

        public Criteria andAreationPlanNumberLessThanOrEqualTo(String value) {
            addCriterion("areation_plan_number <=", value, "areationPlanNumber");
            return (Criteria) this;
        }

        public Criteria andAreationPlanNumberLike(String value) {
            addCriterion("areation_plan_number like", value, "areationPlanNumber");
            return (Criteria) this;
        }

        public Criteria andAreationPlanNumberNotLike(String value) {
            addCriterion("areation_plan_number not like", value, "areationPlanNumber");
            return (Criteria) this;
        }

        public Criteria andAreationPlanNumberIn(List<String> values) {
            addCriterion("areation_plan_number in", values, "areationPlanNumber");
            return (Criteria) this;
        }

        public Criteria andAreationPlanNumberNotIn(List<String> values) {
            addCriterion("areation_plan_number not in", values, "areationPlanNumber");
            return (Criteria) this;
        }

        public Criteria andAreationPlanNumberBetween(String value1, String value2) {
            addCriterion("areation_plan_number between", value1, value2, "areationPlanNumber");
            return (Criteria) this;
        }

        public Criteria andAreationPlanNumberNotBetween(String value1, String value2) {
            addCriterion("areation_plan_number not between", value1, value2, "areationPlanNumber");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNull() {
            addCriterion("org_id is null");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNotNull() {
            addCriterion("org_id is not null");
            return (Criteria) this;
        }

        public Criteria andOrgIdEqualTo(Integer value) {
            addCriterion("org_id =", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotEqualTo(Integer value) {
            addCriterion("org_id <>", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThan(Integer value) {
            addCriterion("org_id >", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("org_id >=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThan(Integer value) {
            addCriterion("org_id <", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThanOrEqualTo(Integer value) {
            addCriterion("org_id <=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdIn(List<Integer> values) {
            addCriterion("org_id in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotIn(List<Integer> values) {
            addCriterion("org_id not in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdBetween(Integer value1, Integer value2) {
            addCriterion("org_id between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotBetween(Integer value1, Integer value2) {
            addCriterion("org_id not between", value1, value2, "orgId");
            return (Criteria) this;
        }
    }

    /**
     * t_job_application
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
     * t_job_application 2019-03-12
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}